package com.iamberry.wechat.core.entity.agent;

import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;
import com.iamberry.wechat.core.entity.member.Member;

/**
 * 微代理申请 实体类
 * @author 穆再兴
 *	2016年4月19日
 */
public class AgentApply implements java.io.Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 9214051562741038200L;
	private Integer applyId;		//id
	private String applyOpenid;		//所属用户openid
	private Integer applyIsRead;	//是否已读	 1:已读	2:未读
	private Integer applyStatus;	//状态	1:申请中 	2:驳回	3:通过
	private Date applyCreateDate;	//创建时间
	
	private Member member;			//所属用户openid
	private PageBean page = new PageBean();			//分页
	public Integer getApplyId() {
		return applyId;
	}
	public void setApplyId(Integer applyId) {
		this.applyId = applyId;
	}
	public String getApplyOpenid() {
		return applyOpenid;
	}
	public void setApplyOpenid(String applyOpenid) {
		this.applyOpenid = applyOpenid;
	}
	public Integer getApplyIsRead() {
		return applyIsRead;
	}
	public void setApplyIsRead(Integer applyIsRead) {
		this.applyIsRead = applyIsRead;
	}
	public Integer getApplyStatus() {
		return applyStatus;
	}
	public void setApplyStatus(Integer applyStatus) {
		this.applyStatus = applyStatus;
	}
	public Date getApplyCreateDate() {
		return applyCreateDate;
	}
	public void setApplyCreateDate(Date applyCreateDate) {
		this.applyCreateDate = applyCreateDate;
	}
	public Member getMember() {
		return member;
	}
	public void setMember(Member member) {
		this.member = member;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	@Override
	public String toString() {
		return "AgentApply [applyId=" + applyId + ", applyOpenid="
				+ applyOpenid + ", applyIsRead=" + applyIsRead
				+ ", applyStatus=" + applyStatus + ", applyCreateDate="
				+ applyCreateDate + ", member=" + member + ", page=" + page
				+ "]";
	}
	
}
